@charset "utf-8";
.pages{

/* ========================
        HEADER  
======================== */
header{
  position: relative;
  width: 100%;
  z-index: 5000;
  display: flex;
  align-items: center;
}

/* headerSideNav */
.headerSideNav{
  position: static;
  padding: 0;
  left: 0;
  @media (min-width: 981px) { 
    width: 100%;
    column-gap: 3em;
    padding: 0;
    margin: 0 auto;
    flex-direction: row;
    justify-content: flex-start;
    margin: 0 auto;
  }
  @media (max-width: 980px) { 
    height: 120px;
    position: relative;
    margin: 1.5em auto 0;
  }
  @media (max-width: 768px) {
    height: 110px;
  }
  @media (max-width: 480px) {
    height: 100px;
    margin: 1.2em auto 0;
  }

  h1{
    /* transition: padding 0.5s; */
    margin-bottom: 0;
    width: 140px;
    background: #FFF;
    padding: 20px 24px 20px 20px ;
    border-radius: 0 5px 40px 5px;
    text-align: center;
    @media (max-width: 980px) {
      height: 100%;
      background: none;
      left: 50%;
      right: 50%;
      transform: translateX(-50%);
      padding: 0;
    }    
    a{
      @media (max-width: 980px) {
        height: 100%;
        padding: 0;
        img{
          height: 100%;
        }
      }

    }
  }/* //h1 */

  .wrap_nav{
    nav{
      @media (min-width: 981px) { 
        display: flex;
        align-items: center;
      }
      @media (max-width: 1480px) {
        margin-top: 1em;
      }
      @media (max-width: 980px) {
        margin-top: 0;
      }
      ul{
        @media (min-width: 981px) { 
          flex-direction: row;
          gap: 0 3em;
        }  
        @media (max-width: 1240px) { 
          gap: 0 2em;
        }    
      }
      .sub-nav{        
        @media (min-width: 981px) { 
          display: none;
          flex-direction: row;
          justify-content: flex-end;
          gap: 1em;
          position: absolute;
          right: 40px;
          top: 50%;
          bottom: 50%;
          transform: translateY(-50%);
        }
        @media (max-width: 1480px) {
          right: 20px;
        }
        @media (max-width: 1240px) {
          position: static;
        }
        @media (max-width: 980px) {
          display: flex;
          flex-direction: column;
        }
        div{
          a{
            min-width: 11em;
            @media (min-width: 981px) { 
              font-size: 1.3rem;
            }
          }
        }
      }
    }
     
  }/* /wrap_nav */

  &.active{
    width: 100%;
    margin: 0 auto;
    position: fixed;
    left: 50%;
    right: 50%;
    top: 0;
    transform: translateX(-50%);
    transition: background-color 1s;
    /* background: rgba(255, 255, 255, .8); */
    background: rgba(250, 250, 250, 0.8);
    background: rgba(255, 252, 237, 1.0);
    border-radius: 0;
    /* border-radius: 0 0 30px 30px; */
    justify-content: center;
    @media (min-width: 981px) {
      h1{
        width: 100px;
        padding: 10px;
        background: none;
        transition: padding 0.8s;
      }
    }
    @media (max-width: 1480px) {
      column-gap: 1.5em;
      .wrap_nav nav{
        margin-top: 0;
        ul{
          gap: 0 2em;
          li{

          }
        }
      }
    }
  }
}/* // headerSideNav */ 


/* == headerLink == */
.headerLink{  
  @media (max-width: 1480px) {
    top: 0;
  }
}


/* ========================
          MAIN  
======================== */

main{
  padding: 0 5vw;
}

/* ---------------------
      pageTtl 
--------------------- */


.pageTtl{
  position: relative;
  padding: 4em 0 5em;
  width: min(100%, 1600px);
  margin: 0 auto;
  animation: fadeInDown 1.5s ease-in-out forwards;

  @media (max-width: 1240px) {
    padding: 3em 0 4em;
  }
  @media (max-width: 980px) {
    padding: 4em 0 4em ;
  }
  @media (max-width: 768px) {
    padding: 3em 0 3em ;
  }
  @media (max-width: 480px) {
    padding: 3em 0 2em ;
  }

  h2{   
    @media (max-width: 980px) {
      text-align: center;
    } 
    span{
      padding-left: 1.5em;
      /* font-size: 3.0rem; */
      font-size: clamp(1.8rem, 1.364rem + 2.18vw, 3rem);
      font-weight: bold;
      position: relative;
      &::before{
        content: "";
        width: 0.8em;
        height: 8px;
        border-radius: 5px;
        background: #E6B000;
        position: absolute;
        top: 50%;
        bottom: 50%;
        left: 0;
        transform: translateY(-50%);
      }
      @media (max-width: 1240px) {
        /* font-size: 2.6rem; */
      }
      @media (max-width: 980px) {
        /* font-size: 2.2rem; */
        padding-left: 1.7em;
        &::before{
          width: 1.0em;
          height: 6px;
        }
      }
      @media (max-width: 480px) {
        /* font-size: 1.8rem; */
      }
    }
  }
}

/* ---------------------
      mainContents 
--------------------- */
.mainContents{
  padding: 0;
  width: min(100%, 1600px);
  margin: 0 auto;

  /* ==============================
      pages 共通テキストスタイル
  ============================== */

  & > div, 
  & > section{
    margin-bottom: 3em;
    @media (max-width: 1240px) {
      margin-bottom: 2em;
    }
  }

  /* テキストエディタでグループ化した時 */
  .wp-block-group{
    /* フェードイン */
    opacity: 0;
    transition: all 1.5s;
    transform: translate(0,-10px);
    &.scrollin{
      opacity: 1 !important;
      transform: translate(0, 0) !important;
    }
    .wp-block-group__inner-container{
      &>p,&>div,&>ul{
        margin-bottom: 2em;
        &:last-child{
          margin-bottom: 0; 
        }
        p{
          margin-bottom: 1.5em;
          &:last-of-type{
            margin-bottom: 0;
          }
        }
      &.pickup01{
      padding: 1.5em;
      background: #FAFAFA;
      }
      &.pickup02{
        padding: 1.5em;
        background: #FAFAFA;
        border: 2px solid var(--color-lb);
        border-radius: 3px;
      }
      }
    }
  }




  /* txtBlock */
  /* .txtBlock{
    margin-bottom: 50px;
    p{
      margin-bottom: 30px;
      &:last-of-type{
        margin-bottom: 0;
      }
    }
    &.pickup01{
      padding: 1.5em;
      background: #FAFAFA;

    }
    &.pickup02{
      padding: 1.5em;
      background: #FAFAFA;
      border: 2px solid var(--color-lb);
      border-radius: 3px;
      
    }
    @media (max-width: 768px) {
      margin-bottom: 40px;
    }
    @media (max-width: 580px) {
      margin-bottom: 30px;
    }
  } */

  /* wrapImg */
  .wrapImg,
  figure{
    margin-bottom: 40px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2em;
    img{
      width: min(80%,680px);
    }
    @media (max-width: 768px) {
      img{
        width: min(90%,580px);
      }
    }
    @media (max-width: 480px) {
      margin-bottom: 30px;
      img{
        width: min(100%,580px);
      }
    }
  }

  /* wp-block-media-text メディアとテキスト */
  .wp-block-media-text figure{
    &:last-of-type{
      margin-bottom: 0;
    }
    img{
      width: 100%;
    }
  }

  /* wrap_flex テキストと画像２カラム */
  .wrap_flex{
    display: flex;
    gap: 3em;
      @media (max-width: 1480px) {
        flex-direction: column;
        gap: 2em;
      }
      @media (max-width: 980px) {
        
      }
      .txtBlock{
        margin-bottom: 0;
      }
      .wrapImg{
        img{
          width: min(100%,680px);
        }
        @media (max-width: 980px) {
          img{
            width: min(80%,680px);
          }
        }
        @media (max-width: 768px) {
          img{
            width: min(90%,580px);
          }
        }
        @media (max-width: 480px) {
          img{
            width: min(100%,580px);
          }
        }
      }
  }
  /* ttl_h3 */
  .ttl_h3,h3.wp-block-heading{
    font-size: clamp(1.7rem, 1.387rem + 1.57vw, 2.6rem);
    font-weight: bold;
    margin-bottom: 1.2em;
    padding: 0 0 0.6em 0.2em;
    position: relative;
    &::after{
      content: "";
      width: 100%;
      height: 3px;
      background: var(--color-yellow);
      border-radius: 30px;
      position: absolute;
      bottom: 0;
      left: 0;
    }
  }
  /* ttl_h4 */
  .ttl_h4,h4.wp-block-heading{
    font-size: clamp(1.65rem, 1.459rem + 0.96vw, 2.2rem);
    font-weight: bold;
    margin-bottom: 1em;
    padding-left: 1.5em;
    position: relative;
    &::after{
      content: "";
      width: 1em;
      height: 4px;
      background: var(--color-lb);
      border-radius: 30px;
      position: absolute;
      top: 50%;
      bottom: 50%;
      transform: translateY(-50%);
      left: 0;
    }
  }
  /* ttl_h5 */
  .ttl_h5,h5.wp-block-heading{
    font-size: clamp(1.6rem, 1.53rem + 0.35vw, 1.8rem);
    font-weight: bold;
    margin-bottom: 0.8em;
    background: #F7F7F7;
    padding: 0.15em 0.8em;
  }
  /* ttl_h6 */
  .ttl_h6,h6.wp-block-heading{
    font-size: clamp(1.4rem, 1.33rem + 0.35vw, 1.6rem);
    font-weight: bold;
    margin-bottom: 0.5em;
    color: var(--color-brown);
    &.green{
      color: var(--color-lb);
    }
    &.blue{
      color: var(--color-blue);
    }
    &.pink{
      color: var(--color-pink);
    }
    &.orange{
      color: var(--color-d-orange);
    }
  }
  /* list01 */
  .list01{
    margin-bottom: 30px;
    li{
      padding-left: 1em;
      position: relative;
      &::after{
        content: "";
        width: 0.5em;
        height: 0.5em;
        background: var(--color-orange);
        border-radius: 100%;
        position: absolute;
        top: 1em;
        transform: translateY(-0.4em);
        left: 0;
      }
    }
  }
  /* list02 */
  .list02{
    margin-bottom: 30px;
    div{
      margin-bottom: 0.8em;
      dt{
        font-weight: bold;
        margin-bottom: 0.4em;
      }
    }
  }
} /* //.mainContents */



/* ---------------------
  section .wrapPar 段落 
--------------------- */
.wrapPar{ 
  
} /*//.wrapPar */


/* ======================
  #products
======================= */
&#products{
/* ------ pageTtl ------ */
.pageTtl{
  h2{   
    text-align: left;
    display: flex;
    flex-wrap: wrap;
    gap: 0.4em;
    @media (max-width: 980px) {
      text-align: center;
      justify-content: center;
    }
    span{
      padding-left: 0;
      padding-left: 1.3em;
      position: relative;
      z-index: 200;
      display: flex;
      align-items: center;
      &::before{
        content: "";
        width: 24px;
        height: 24px;
        clip-path: polygon(50% 0%, 100% 38%, 82% 100%, 18% 100%, 0% 38%);
        background: var(--color-orange,#E8B001);
        position: absolute;
        z-index: 210;
        top: 50%;
        bottom: 50%;
        left: 0;
        transform-origin: center;
      }
      @media (max-width: 1240px) {
        &::before{
          width: 0.85em;
          height: 0.85em;
        }
      }
    }
    em{
      font-size: clamp(1.6rem, 1.322rem + 1.39vw, 2.4rem);
      display: flex;
      align-items: center;
      gap: 0.4em;
      &::before{
        content: "";
        width: 1em;
        height: 1px;
        transform: rotate(-65deg);
        background: rgba(80, 52, 0,0.4);
        
      }
    }
  }
}
/* ------ catlist ------ */
.catlist{
  /* background: #faf5d4;
  padding: 2em; */
  margin-bottom: 3em;
  dt{
    margin-bottom: 1em;
    position: relative;
    &::after{
      content: "";
      width: 1.3em;
      height: 2px;
      border-radius: 5px;
      background: rgba(80, 52, 0, 1);
      position: absolute;
      top: 50%;
      bottom: 50%;
      left: 0;
      transform: translateY(-50%);
    }
    span{
      position: relative;
      background: #FFFCED;
      /* padding-right: 3em; */
      margin-left: 2.2em;
    }
  }
  dd ul{
    display: flex;
    flex-wrap: wrap;
    gap: 1em;  
    li{
      @media (max-width: 580px) {
        width: calc((100% - 1em) / 2 );
      }
      @media (max-width: 380px) {
        width: 100%;
      }
      a{
        display: flex;
        align-items: center;
        justify-content: center;
        background: #FFF;
        border: 1px solid rgb(80, 52, 0);
        border-radius: 30px;
        padding: 0.4em 1em;
        min-width: 10em;
        transition: 0.5s;
        font-size: 1.5rem;
        &:hover{
          background: #503400;
          color: #FFF;
          transition: 0.5s;
        }
        @media (max-width: 768px) {
          font-size: 1.4rem;
        }
        @media (max-width: 480px) {
          font-size: 1.3rem;
        }
      }
    }  
  }
}

/* ------ linkBtn ------ */
.linkBtn{
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 3em auto 0;
  a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1em;
    border: 1px solid #503400;
    border-radius: 5px;
    padding: 0.4em calc(1.5em + (30px * 0.75)) 0.4em 1.5em;
    transition: background-color 0.5s;
    position: relative;
    &::after{
      content: "";
      background: url(/assets/img/arrow_s01.svg) no-repeat;
      background-size: 100%;
      width: calc(30px * 0.65);
      height: calc(10px * 0.65);
      transition: transform 0.5s;
      position: absolute;
      top: 50%;
      bottom: 50%;
      right: 1em;
      transform: translateY(-50%);
    }
    &:hover{
      transition: background-color 0.5s, transform 0.5s;
      background: #faf5d4;
    }     
  }/* //a */
  @media (max-width: 580px) {
    margin: 2em auto 1em;
    a{
      width: 80%;
      padding: 0.4em 1em;
      &::after{
        display: none;
      }
    }
  }
}


/* ---------------------
        page 
  --------------------- */
&.page{
  .catlist{
    dt{
      margin-bottom: 0;
    }
    dd{
      border-bottom: 1px solid rgba(80, 52, 0, 0.2);
      padding: 1.2em 0;
      &:first-of-type{
        a{
          background: #503400;
          color: #FFF;
          border-radius: 5px;
          &:hover{
            background: #FFF;
            color: #503400;
          }
        }
      }
      &:last-of-type{
        border: none;
        padding-bottom: 0;
      }
    }    
  }
  /* wrapPar */
  .wrapPar{
  }
  #chiebukuro{
    border: 1px solid #503400;
    border-radius: 20px;
  }
}

/* ---------------------
        archive 
  --------------------- */
&.archive{


  /* category-info */
  .category-info{

  }
  /* wrap_othercat */
  .wrap_othercat{
    background: #faf5d4;
    .catlist{
      padding: 0;
      margin-bottom: 0;
      dt{
        span{
          background: #faf5d4;
        }
      }
      a{
        background: #503400;
        color: #FFF;
        border-radius: 5px;
        &:hover{
          background: #FFF;
          color: #503400;
        }
      }
    }
  }




  /* wrap_child_post */
  .wrap_childPost{
    .productList{
      display: flex;
      flex-wrap: wrap;
      gap: 3em 2em;
      div{
        width: calc((100% - 8em ) / 5);
        dt{
          width: 100%;
          margin-bottom: 0.8em;
          img{
            aspect-ratio: 1/1;
            object-fit: cover;
          }
        }
        dd{
          line-height: 1.5;
          text-align: left;
          font-size: clamp(1.3rem, 1.23rem + 0.35vw, 1.5rem);
        }
        @media (max-width: 1240px) {
          width: calc((100% - 6em ) / 4);
        }
        @media (max-width: 980px) {
          width: calc((100% - 4em ) / 3);
        } 
        @media (max-width: 768px) {
          width: calc((100% - 2em ) / 2);
          
        }
        @media (max-width: 480px) {
          width: 100%;
          display: flex;
          align-items: center;
          flex-direction: column;
          text-align: left;
          gap: 0.3em;
          dt{
            width: 70%;
            margin: 0 auto 1em;
          }
          dd{
            line-height: 1.5;
          }
        }
      }
    }

  }  /* //wrap_childPost */

}  
}/*//#product */


/* ======================
  #contact
======================= */
&#contact{  
  main{
    overflow: hidden;
    .sttl{
      width: min(100% , 940px);
      @media (max-width: 1100px) {
        width: 100%;
      }
    }
    .info_txt{
      text-align: center;
      margin-bottom: 4em;
      @media (max-width: 768px) {
        text-align: left;
        margin-bottom: 3em;
        br{
          display: none;
        }
      } 
    }
    .mainContents{      
      width: min(100%, 1600px);
      margin: 0 auto;
      @media (max-width: 1100px) {
        width: 100%;
      }  
      &> p{
        margin-bottom: 2em;
      }
      .contactForm{
        width: min(100% , 940px);
        background: #F6F6F6;
        padding: 3em;
        margin: 0 auto 3em;
        display: flex;
        flex-direction: column;
        gap: 2em;
        @media(max-width:1100px) {
          padding: 2em;
        }
        @media(max-width:768px) {
          gap: 2em;
        }
        & > div{
          display: flex;
          align-items: center;
          gap: 1em 2em;
          @media(max-width:768px) {
            flex-direction: column;
            align-items: flex-start;
            gap: 0.5em;
          }
          dt{
            width: 30%;
            text-align: right;
            @media(max-width:768px) {
              width: 100%;
              text-align: left;
              padding: 0 0 1em;
              margin-bottom: 1em;
              border-bottom: 1px solid #DDD;
            }
            @media(max-width:480px) {
              padding: 0 0 0.8em;
              margin-bottom: 1em;
            }
          }
          dd{
            flex: 1;
            @media(max-width:768px) {
              width: 100%;
            }      
            input,
            textarea{
              width: 70%;
              font-size: 1.5rem;
              padding: 0.3em 0.5em;
              background-color: #FFF;
              &:focus{
                outline: none;
                border: 2px solid #DDD;
              }
              @media(max-width:768px) {
                font-size: 1.4rem;
              } 
              @media(max-width:480px) {
                width: 100%;
              }           
            }
            input[type="tel"]{
              width: 15em;
              @media(max-width:480px) {
                width: 100%;
              }
            }
            input[type="email"],
            input.address_txt{
              width: 100%;
            }
            &.wrap_radio{
              display: flex;
              gap: 2em;
              @media(max-width:480px) {
                justify-content: center;
                gap: 4em;
                .wpcf7-list-item {
                  margin: 0 1em;
                }
              } 
              .wpcf7-list-item-label {
                cursor: pointer;
                display: flex;
                align-items: center;
              }
              input[type="radio"] {
                opacity: 0;
                position: absolute;
              }
              .wpcf7-list-item-label::before {
                content: "";
                width: 15px;
                height: 15px;
                margin-right: .55em;
                background: #fff;
                border: 1px solid #d1d1d1;
                border-radius: 100%;
                transition: background-color .5s;
                @media(max-width:768px) {
                  width: 1.5em;
                  height: 1.5em;
                  margin-right: 0.8em;
                } 
              }
              input[type="radio"]:checked+.wpcf7-list-item-label::before {
                background-color: #8D8D8D;
                box-shadow: inset 0 0 0 3px #fff;
              }
            }
            &.wrap_select{
              .wpcf7-form-control-wrap{
                width: 70%;
                display: block;
                position: relative;
                @media(max-width:480px) {
                  width: 100%;
                }
                &::after {
                  content: "";
                  display: block;
                  width: 0;
                  height: 0;
                  border-style: solid;
                  border-width: 7px 4px 0 4px;
                  border-color: #FFF transparent transparent transparent;
                  position: absolute;
                  top: 50%;
                  right: 1em;
                  transform: translateY(-50%);
                  pointer-events: none;
              }
                .wpcf7-form-control {
                  width: 100%;
                  height: 100%;
                  padding: 0.3em 1em;
                  box-sizing: border-box;
                  background: #FFF;
                  appearance: none;
                  -webkit-appearance: none;
                  -moz-appearance: none;
                  -o-appearance: none;
                  &:focus{
                    outline: none;
                    border: 2px solid #DDD;
                  }
                }
              }
            }
          }/*//dd*/
          &.address{
            align-items: flex-start;
            dd{
              display: flex;
              flex-direction: column;
              gap: 1em;
              div{
                input.zipcode{
                  width: 10em;
                  margin-left: 1em;
                }
              }
            }
          }
          &.wrap_textarea{
            flex-direction: column;
            align-items: flex-start; 
            dt{
              width: 100%;
              padding: 0;
              text-align: left;
              @media(max-width:768px) {
                padding-bottom: 1em;
              }
            } 
            dd{
              width: 100%;
              padding: 0;
              textarea{
                width: 100%;          
              }
            }
          }
        }
      }/*//contactForm*/
      
      .agree{
        margin-bottom: 40px;
        text-align: center;
        @media screen and (max-width: 480px) {
          margin-bottom: 30px;
        }
        a{
          color: #000;
          text-decoration: underline;
        }
        input{
            background: #FFF;
            &:focus { outline:  none;}
        }
        label{
          position: relative;
          cursor: pointer;
          display: inline-block;
          overflow: hidden;
          box-sizing: border-box;
          padding-left: calc(30px + 10px);
          line-height: 20px;
          &:before,&:after{
              content: '';
              position: absolute;
              box-sizing : border-box;
          }
          &:after{
              transform: rotate(45deg);
              -webkit-transform : rotate(45deg);
              -moz-transform: rotate(45deg);
              border-right: 3px solid #05056f;
              border-bottom: 3px solid #05056f;
              display: block;
              top: 2px;
              left: 6px;
              width: 7px;
              height: 14px;
              z-index: 1;
          }
          &:before {
              width: 20px;
              height: 20px;
              left: 0px;
              top: 0;
              border: 1px solid #666;
              z-index: 3;
              box-sizing: border-box;
          }
          /** input **/
          input[type="checkbox"]{
              -moz-appearance: none;
              -webkit-appearance: none;
              position: absolute;
              z-index: 2;
              margin: 0px;
              width: 20px;
              height: 20px;
              box-sizing: border-box;
              outline: none;
              left: 0;;
              padding: 0;
              display: block;
              box-shadow : 0 0px #FFF;
              border: none;
              &:checked,&:checked:focus{
                  opacity: 0;
              }
              &:checked:focus {
                  box-shadow : 20px 0px #666;
              }
  
            }
        }/*//label.checkbox_txt*/
      }
      .wpcf7-box{
        text-align: center;  
        input{
          width: min(45% , 320px);  
          display: flex;
          justify-content: center;
          background: #FADF2B;
          padding: 0.6em 2em;
          margin: 0 auto;
          border-radius: 30px;
          transition: 0.5s;          
          &:hover{
            filter: contrast(90%) hue-rotate(-3deg);
            transition: 0.5s;
          }
          @media (max-width: 480px) {
            width: min(80% , 320px); 
            padding: 0.8em 4em;
          }
        }
        
      }
      
      .invalid .wpcf7-response-output,
      .unaccepted .wpcf7-response-output {
          background: #cf2e2e;
          color: #FFF;
          border: 2px solid #cf2e2e;
          text-align: center;
      }
      .sent .wpcf7-response-output {
          background: #666;
          color: #FFFFFF;
          border: none;
          text-align: center;
      }
      .wpcf7-not-valid-tip{
        font-size: 1.5rem;
        color: #cf2e2e;
      }
    
    }/*//mainContents*/
  }  

}/*//contact*/

} /* //.page */